/*
 * SPDX-License-Identifier: GPL-2.0+
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License as
 * published by the Free Software Foundation; either version 2, or (at
 * your option) any later version.
 */
#ifndef _GPXE_ELF_H
#define _GPXE_ELF_H

/**
 * @file
 *
 * ELF image format
 *
 */

FILE_LICENCE ( GPL2_OR_LATER_OR_UBDL );

#include <elf.h>

extern int elf_load ( struct image *image, physaddr_t *entry );

#endif /* _GPXE_ELF_H */
