/*
 * SPDX-License-Identifier: GPL-2.0+
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License as
 * published by the Free Software Foundation; either version 2, or (at
 * your option) any later version.
 *
 * You can also choose to distribute this program under the terms of
 * the Unmodified Binary Distribution Licence (as given in the file
 * COPYING.UBDL), provided that you have satisfied its requirements.
 */
// pcmcia-opts.h
// special options file for development time. Later this could end in Config(?)
#ifndef __pcmciaopts
#define __pcmciaopts

FILE_LICENCE ( GPL2_OR_LATER_OR_UBDL );

	#define	_yes_ 1
	#define	_no_  0

	#define	SUPPORT_I82365		(_yes_)
//	#define	SUPPORT_YENTA		(_no_)
//	#define	SUPPORT_SOME_DRIVER	(_no_)

	#define PCMCIA_SHUTDOWN		(_yes_)
	#define	MAP_ATTRMEM_TO		0xd0000
	#define	MAP_ATTRMEM_LEN		0x02000

	#define	PDEBUG			3
	// The higher the more output you get, 0..3
	// Not fully implemented though, but for the future...

	#undef _yes_
	#undef _no_
#endif
